<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class care_months_SINGLE_Controller extends Controller
{
    public $selfName = 'care_months_SINGLE_Controller';

	// GET /care_months/view/{uid}/ACTION_putMcpPro
	public function ACTION_putMcpPro(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_putMcpPro', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_putAllyPro
	public function ACTION_putAllyPro(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_putAllyPro', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_putReasons
	public function ACTION_putReasons(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_putReasons', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsClientEnrolledInCmToTrue
	public function ACTION_setIsClientEnrolledInCmToTrue(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsClientEnrolledInCmToTrue', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsClientEnrolledInCmToFalse
	public function ACTION_setIsClientEnrolledInCmToFalse(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsClientEnrolledInCmToFalse', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_updateWhyNotEnrolledInCm
	public function ACTION_updateWhyNotEnrolledInCm(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_updateWhyNotEnrolledInCm', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsClientEnrolledInRmToTrue
	public function ACTION_setIsClientEnrolledInRmToTrue(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsClientEnrolledInRmToTrue', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsClientEnrolledInRmToFalse
	public function ACTION_setIsClientEnrolledInRmToFalse(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsClientEnrolledInRmToFalse', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_updateWhyNotEnrolledInRm
	public function ACTION_updateWhyNotEnrolledInRm(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_updateWhyNotEnrolledInRm', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_generateBillForCm
	public function ACTION_generateBillForCm(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_generateBillForCm', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_generateBillForRm
	public function ACTION_generateBillForRm(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_generateBillForRm', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsCmCanceledThisMonthToTrue
	public function ACTION_setIsCmCanceledThisMonthToTrue(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsCmCanceledThisMonthToTrue', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_updateWhyIsCmCanceledThisMonth
	public function ACTION_updateWhyIsCmCanceledThisMonth(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_updateWhyIsCmCanceledThisMonth', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsCmCanceledThisMonthToFalse
	public function ACTION_setIsCmCanceledThisMonthToFalse(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsCmCanceledThisMonthToFalse', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsRmCanceledThisMonthToTrue
	public function ACTION_setIsRmCanceledThisMonthToTrue(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsRmCanceledThisMonthToTrue', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_updateWhyIsRmCanceledThisMonth
	public function ACTION_updateWhyIsRmCanceledThisMonth(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_updateWhyIsRmCanceledThisMonth', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsRmCanceledThisMonthToFalse
	public function ACTION_setIsRmCanceledThisMonthToFalse(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsRmCanceledThisMonthToFalse', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsTmThisMonthToTrue
	public function ACTION_setIsTmThisMonthToTrue(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsTmThisMonthToTrue', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_setIsTmThisMonthToFalse
	public function ACTION_setIsTmThisMonthToFalse(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_setIsTmThisMonthToFalse', compact('record'));
	}

	// GET /care_months/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/SUB_dashboard', compact('record'));
	}

	// GET /care_months/view/{uid}/SUB_cm_time_entries
	public function SUB_cm_time_entries(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		$subRecords = DB::table('care_month_entry')->where('care_month_id', $record->id)->where('cm_or_rm', 'CM')->get();
		return view('pro/care_months_SINGLE/SUB_cm_time_entries', compact('record', 'subRecords'));
	}

	// GET /care_months/view/{uid}/SUB_rm_time_entries
	public function SUB_rm_time_entries(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		$subRecords = DB::table('care_month_entry')->where('care_month_id', $record->id)->where('cm_or_rm', 'RM')->get();
		return view('pro/care_months_SINGLE/SUB_rm_time_entries', compact('record', 'subRecords'));
	}

	// GET /care_months/view/{uid}/SUB_audit_log
	public function SUB_audit_log(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/SUB_audit_log', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_cm_time_entriesAddNew
	public function ACTION_cm_time_entriesAddNew(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_cm_time_entriesAddNew', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_rm_time_entriesAddNew
	public function ACTION_rm_time_entriesAddNew(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_rm_time_entriesAddNew', compact('record'));
	}
}
